Page MenuHomePhabricator

Add Gorontalo language support to MediaWiki
Closed, ResolvedPublic

Description

Fill the following piece of code with translations.

$namespaceNames = [
        NS_MEDIA            => 'Media',
        NS_SPECIAL          => 'Special',
        NS_MAIN             => '',
        NS_TALK             => 'Talk',
        NS_USER             => 'User',
        NS_USER_TALK        => 'User_talk',
        NS_PROJECT_TALK     => '$1_talk',
        NS_FILE             => 'File',
        NS_FILE_TALK        => 'File_talk',
        NS_MEDIAWIKI        => 'MediaWiki',
        NS_MEDIAWIKI_TALK   => 'MediaWiki_talk',
        NS_TEMPLATE         => 'Template',
        NS_TEMPLATE_TALK    => 'Template_talk',
        NS_HELP             => 'Help',
        NS_HELP_TALK        => 'Help_talk',
        NS_CATEGORY         => 'Category',
        NS_CATEGORY_TALK    => 'Category_talk',
];

Event Timeline

Urbanecm created this task.Mar 7 2018, 3:25 PM
Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 7 2018, 3:25 PM

If your language has different word for wikipedian-man and wikipedian-woman, please tell me both variants, I'll add it into the software.

Here is the list of localized namespaces. I got them from @MarwanMohamad:

NS_MEDIA            => 'Media',
NS_SPECIAL          => 'Spesial',
NS_MAIN             => ''
NS_TALK             => 'Lo'iya',
NS_USER             => 'Ta ohu'uwo',
NS_USER_TALK        => 'Lo'iya ta ohu'owo',
NS_PROJECT_TALK     => 'Lo'iya_$1',
NS_FILE             => 'Berkas',
NS_FILE_TALK        => 'Lo'iya_berkas',
NS_MEDIAWIKI        => 'MediaWiki',
NS_MEDIAWIKI_TALK   => 'Lo'iya_MediaWiki',
NS_TEMPLATE         => 'Templat',
NS_TEMPLATE_TALK    => 'Lo'iya_templat',
NS_HELP             => 'Wubodu',
NS_HELP_TALK        => 'Lo'iya_wubodu',
NS_CATEGORY         => 'Dalala',
NS_CATEGORY_TALK    => 'Lo'iya_dalala',

Will do later today.

Change 420123 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] New language file

https://gerrit.wikimedia.org/r/420123

According to https://en.wikipedia.org/wiki/Gorontalo Indonesian is the official language so we can expect everyone speaking Gorgontalo will understand Indonesian as well so I suggest we use 'id' as fallback.

I agree with MarcoAurelio. The fallback language of Gorontalo should be Indonesian.

I agree with MarcoAurelio and Rachmat04. The fallback language of Gorontalo
should be Indonesian

Pada tanggal 21 Mar 2018 20.47, "Urbanecm" <
no-reply@phabricator.wikimedia.org> menulis:

Urbanecm added a comment.

Changed.

*TASK DETAIL*
https://phabricator.wikimedia.org/T189127

*EMAIL PREFERENCES*
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

*To: *Urbanecm

*Cc: *Amire80, Rachmat04, MarwanMohamad, MF-Warburg, Aklapper, gerritbot,
MarcoAurelio, Urbanecm, Versusxo, Majesticalreaper22, Tamgue, Giuliamocci,
Adrian1985, Cpaulf30, Baloch007, Darkminds3113, Lordiis, Adik2382,
Th3d3v1ls, Ramalepe, Liugev6, Lewizho99, Maathavan, MuhammadShuaib, LNDDYL,
Psychoslave, Arrbee, KartikMistry, Jay8g

MarcoAurelio raised the priority of this task from Low to Unbreak Now!.Apr 21 2018, 12:08 PM

Wiki created with none of this created == all is in English and the more time we wait in have this done, the more likely lots of conflicts when we run namespaceDupes.php will appear. In fact no MessagesGor.php exist at all. We should fix this ASAP. I don't think this wiki should've been created without this configuration.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 21 2018, 12:08 PM

I concur the UBN! prioritization.

For a wiki, in a new language, the language file should be committed *before* creating it, ie before wiki deployment window or even a backport to current wmf branch during this window.

Dereckson renamed this task from Translate mediawiki namespaces into Gorontalo to Add Gorontalo language support to MediaWiki.Apr 21 2018, 6:56 PM

Change 420123 merged by jenkins-bot:
[mediawiki/core@master] Add Gorontalo language file

https://gerrit.wikimedia.org/r/420123

Please also cherry-pick to the current MW version gorwiki is in. Thanks.

@MarcoAurelio Going to add it for Morning SWAT as EU SWAT is full.

Change 428283 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@wmf/1.31.0-wmf.29] Add Gorontalo language file

https://gerrit.wikimedia.org/r/428283

Change 428342 had a related patch set uploaded (by Dereckson; owner: Urbanecm):
[mediawiki/core@wmf/1.31.0-wmf.30] Add Gorontalo language file

https://gerrit.wikimedia.org/r/428342

ReleaseTaggerBot added a project: MW-1.32-release-notes (WMF-deploy-2018-04-24 (1.32.0-wmf.1)).

Release notes entry has been committed to the RELEASE-NOTES-1.31 file. It should be moved to the RELEASE-NOTES-1.32 file instead.

Change 428283 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.29] Add Gorontalo language file

https://gerrit.wikimedia.org/r/428283

Change 428342 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.30] Add Gorontalo language file

https://gerrit.wikimedia.org/r/428342

Mentioned in SAL (#wikimedia-operations) [2018-04-23T15:13:45Z] <dereckson@tin> Synchronized php-1.31.0-wmf.29/languages/messages/MessagesGor.php: Localisation for MediaWiki in Gorontalo (T189127) (duration: 01m 18s)

Mentioned in SAL (#wikimedia-operations) [2018-04-23T15:20:52Z] <dereckson@tin> Synchronized php-1.31.0-wmf.30/languages/messages/MessagesGor.php: Localisation for MediaWiki in Gorontalo (T189127) (duration: 01m 16s)

Mentioned in SAL (#wikimedia-operations) [2018-04-23T15:28:23Z] <dereckson@tin> Started scap: Rebuild localisation cache to add Gorontalo (T189127)z

Mentioned in SAL (#wikimedia-operations) [2018-04-23T15:28:29Z] <dereckson@tin> scap aborted: Rebuild localisation cache to add Gorontalo (T189127)z (duration: 00m 01s)

Mentioned in SAL (#wikimedia-operations) [2018-04-23T15:28:36Z] <dereckson@tin> Started scap: Rebuild localisation cache to add Gorontalo (T189127)

Mentioned in SAL (#wikimedia-operations) [2018-04-23T15:36:55Z] <dereckson@tin> Finished scap: Rebuild localisation cache to add Gorontalo (T189127) (duration: 08m 29s)

Every problem should have at least one solution. Anybody, can you find some? :D

Mentioned in SAL (#wikimedia-operations) [2018-04-23T20:14:59Z] <Dereckson> Purged all languages messages from the cache, for gorwiki (rebuildmessages.php, T189127)

So, for the record, no, to purge messages from memcached with rebuildmessages.php doesn't work.

MarcoAurelio closed this task as Resolved.Apr 24 2018, 9:34 AM

Gorontalo support for MediaWiki has been added already. However the wiki refuses to update. This deserves their own task IMHO. Closing this one as resolved as its scope has been achieved, and opening a new UBN! one to fix the gorwiki site to use the proper localisation.